# Group(ID)

base classes — `bpy_struct`, `ID`

class `bpy.types.``Group`(ID)

  Group of Object data-blocks

  `dupli_offset`

    Offset from the origin to use when instancing as DupliGroup

    Type: | float array of 3 items in [-inf, inf], default (0.0, 0.0, 0.0)

  `layers`

    Layers visible when this group is instanced as a dupli

    Type: | boolean array of 20 items, default (False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False, False)

  `objects`

    A collection of this groups objects

    Type: | `GroupObjects` `bpy_prop_collection` of `Object`, (readonly)

  `users_dupli_group`

    The dupli group this group is used in (readonly)

Inherited Properties

`bpy_struct.id_data` `ID.name` `ID.users` `ID.use_fake_user` `ID.tag` | `ID.is_updated` `ID.is_updated_data` `ID.is_library_indirect` `ID.library` `ID.preview`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` | `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `ID.copy` `ID.user_clear` `ID.animation_data_create` `ID.animation_data_clear` `ID.update_tag`

References

`BlendData.groups` `BlendDataGroups.new` `BlendDataGroups.remove` `ClothCollisionSettings.group` `DopeSheet.filter_group` `DynamicPaintSurface.brush_group` `EffectorWeights.group` `FreestyleLineSet.group` `Material.light_group` | `Object.dupli_group` `ParticleSettings.dupli_group` `RenderLayer.light_override` `RigidBodyWorld.constraints` `RigidBodyWorld.group` `SceneRenderLayer.light_override` `SmokeDomainSettings.collision_group` `SmokeDomainSettings.effector_group` `SmokeDomainSettings.fluid_group`